Placing Boundary Conditions to end of Analytical Column

Hi there,

Does anyone know if it’s possible to place boundary conditions at the end of columns using Revit? I’ve tried placing them as a family type, based upon the end point of the column, however this does not appear to apply them in the same way as placing manually.

For context, I am exporting the revit model to RSA and the reason I picked this up is that the manually placed boundary conditions export, but the dynamo-generated ones do not. I have a feeling it may be to do with the fact that the dynamo-generated BCs are not properly associated with the corresponding bar.

Thanks,
Andrew

Hi there,
I’m in the same position at the moment, did you find a solution?
Basically i need to create point boundary condition to the top (end analytical node) of a selection of columns via dynamo.
I’ve only found a node called “createlineboundarycondition” in Dynamo from the package “Steamnodes”, i can see the python script to create the line load inside the node, but i don’t know how to edit to make it work for the point boundary.

Any help would be much appreciated, thanks

Here the script from steamnodes:

#python nodes in dynamo 1.0
#proposed by Julien Benoit @jbenoit44
#http://aecuandme.wordpress.com/
import clr
clr.AddReference(‘ProtoGeometry’)
from Autodesk.DesignScript.Geometry import *

Import ToDSType(bool) extension method

clr.AddReference(“RevitNodes”)
import Revit
clr.ImportExtensions(Revit.Elements)

Import geometry conversion extension methods

clr.ImportExtensions(Revit.GeometryConversion)

Import DocumentManager and TransactionManager

clr.AddReference(“RevitServices”)
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
from System.Collections.Generic import *

Import RevitAPI

clr.AddReference(“RevitAPI”)
import Autodesk
from Autodesk.Revit.DB import *
from System.Collections.Generic import *

doc = DocumentManager.Instance.CurrentDBDocument

elt=UnwrapElement(IN[0])

R=float(IN[1])

bc=

Start Transaction

TransactionManager.Instance.EnsureInTransaction(doc)

for e in elt:
s=Autodesk.Revit.DB.Structure.TranslationRotationValue.Fixed
a=doc.Create.NewLineBoundaryConditions(e,s,R,s,R,s,R,s,R)
bc.append(a)

End Transaction

TransactionManager.Instance.TransactionTaskDone()

OUT =bc